Bug 1551623 - lldptool reports unparsed OID under Management Address
Summary: lldptool reports unparsed OID under Management Address
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lldpad
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Aaron Conole
QA Contact: Ondrej Mejzlik
URL:
Whiteboard:
: 1586007 1614931 (view as bug list)
Depends On:
Blocks: CVE-2018-10932
TreeView+ depends on / blocked
 
Reported: 2018-03-05 14:48 UTC by Mor
Modified: 2021-02-09 15:40 UTC (History)
13 users (show)

Fixed In Version: lldpad-1.0.1-4.git036e314.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:18:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshots (18.77 KB, application/octet-stream)
2018-03-05 14:48 UTC, Mor
no flags Details
Tagged lldpad utils (283.93 KB, application/x-rpm)
2018-06-18 14:04 UTC, Aaron Conole
no flags Details
screenshot with LLDP working in GUI (83.30 KB, image/png)
2018-06-29 00:42 UTC, J.Luis
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2339 0 None None None 2019-08-06 13:18:53 UTC

Description Mor 2018-03-05 14:48:00 UTC
Created attachment 1404365 [details]
screenshots

Description of problem:
lldaptool reports strange OID string which causes RHV REST server to report incorrect value since it uses lldptool.

Version-Release number of selected component (if applicable):
lldpad-1.0.1-3.git036e314.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. lldptool -t -n -i <iface> -V mngAddr

Actual results:
See screenshot for OID as is it shown in the console.

Expected results:
Should be parsed differently, as shown in Wireshark (see screenshot).

Additional info:

Comment 2 Mor 2018-03-05 14:48:56 UTC
Created attachment 1404366 [details]
lldp packet captrue

Comment 3 Mor 2018-03-05 14:54:44 UTC
Created attachment 1404367 [details]
lldp packet capture

Comment 4 Mor 2018-03-11 06:47:12 UTC
Update to the bug description: 
lldptool reports the OID as raw bytes from the response, it doesn't parse the value as Wireshark do. OID should be represented by series of numbers of periods.

Comment 5 Dominik Holler 2018-06-06 07:19:18 UTC
*** Bug 1586007 has been marked as a duplicate of this bug. ***

Comment 6 Aaron Conole 2018-06-07 20:26:28 UTC
If you would like to try a patch, I have it here:

https://github.com/orgcandman/openlldp/tree/tmp_rfe_bz1551623

I think that provides the requested functionality.  Need to spend some time to format it properly.

Comment 7 Dan Kenigsberg 2018-06-12 09:49:10 UTC
Aaron, we'd love to give it a go. Would you provide mburman with a scratch build to install on his hosts?

Comment 8 Aaron Conole 2018-06-18 14:04:17 UTC
Created attachment 1452653 [details]
Tagged lldpad utils

Comment 9 Michael Burman 2018-06-18 14:18:41 UTC
(In reply to Aaron Conole from comment #8)
> Created attachment 1452653 [details]
> Tagged lldpad utils

Looks OK now -
Management Address TLV
        IPv4: 10.35.x.z
        Unknown interface subtype: 0
        OID: 0.1.3.6.1.2.1.31.1.1.1.1.0

Thanks,

Comment 10 J.Luis 2018-06-29 00:38:27 UTC
(In reply to Aaron Conole from comment #8)
> Created attachment 1452653 [details]
> Tagged lldpad utils

I've verified this patch working with RHV-Manager 4.2.4.5-0.1.el7_3 and RHV-H hosts like this:

OS Version:
RHEL - 7.5 - 3.1.el7
OS Description:
Red Hat Virtualization Host 4.2.3 (el7.5)
Kernel Version:
3.10.0 - 862.3.2.el7.x86_64
KVM Version:
2.10.0 - 21.el7_5.3
LIBVIRT Version:
libvirt-3.9.0-14.el7_5.5
VDSM Version:
vdsm-4.20.27.2-1.el7ev
SPICE Version:
0.14.0 - 2.el7_5.3
GlusterFS Version:
glusterfs-3.8.4-54.8.el7rhgs
CEPH Version:
librbd1-0.94.5-2.el7
Kernel Features:
PTI: 1, IBRS: 0, RETP: 1

Comment 11 J.Luis 2018-06-29 00:42:18 UTC
Created attachment 1455409 [details]
screenshot with LLDP working in GUI

Comment 13 Aaron Conole 2018-06-29 12:39:11 UTC
I've sent a version upstream at:
https://github.com/intel/openlldp/pull/7

Just waiting on upstream acceptance.

Comment 17 Aaron Conole 2019-02-05 19:20:13 UTC
Resolved by:

https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=20082989

Comment 21 errata-xmlrpc 2019-08-06 13:18:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2339

Comment 22 Doran Moppert 2021-02-02 04:02:26 UTC
*** Bug 1614931 has been marked as a duplicate of this bug. ***

Comment 23 sushil kulkarni 2021-02-09 15:27:06 UTC
Hi Dan, 

Do you still need the z streams 7.5 and 7.6? I'd like to cancel the request if it is no longer required.

Thanks!
Sushil

Comment 24 Dan Kenigsberg 2021-02-09 15:40:04 UTC
> Do you still need the z streams 7.5 and 7.6? I'd like to cancel the request if it is no longer required.

No, oVirt is support now only on el8.


Note You need to log in before you can comment on or make changes to this bug.